<?xml version="1.0" encoding="utf-8"?>
<androidx.appcompat.widget.LinearLayoutCompat xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".ui.activity.device.AddNewTracker4Activity">

    <include
        android:id="@+id/il_add_new_tracker4_top_bar"
        layout="@layout/layout_top_bar" />

    <androidx.core.widget.NestedScrollView style="@style/my_ScrollView_style">

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <com.abbidot.tracker.widget.TypefaceTextView
                style="@style/my_TextView_style_v2"
                android:layout_width="match_parent"
                android:layout_marginTop="@dimen/dp_22"
                android:text="@string/txt_input_id"
                android:textSize="@dimen/textSize24"
                android:textStyle="bold" />

            <com.abbidot.tracker.widget.TypefaceTextView
                style="@style/my_TextView_style_v2"
                android:layout_width="match_parent"
                android:layout_marginTop="@dimen/dp_12"
                android:text="@string/txt_input_id_tip"
                android:textColor="@color/select_color3"
                android:textSize="@dimen/textSize14"
                app:lineHeight="@dimen/textSize20"
                app:typeface="@string/roboto_regular_font" />

            <androidx.appcompat.widget.AppCompatImageView
                android:layout_width="@dimen/dp_200"
                android:layout_height="@dimen/dp_200"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="@dimen/dp_30"
                android:src="@drawable/icon_pair_tracker_image2" />

            <com.abbidot.tracker.widget.VerifyEditText
                android:id="@+id/vet_add_new_tracker4_edit_text"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="@dimen/dp_30"
                app:capital_letter="true"
                app:verify_background_normal="@drawable/shape8_gray_border_white_bg"
                app:verify_count="6"
                app:verify_height="@dimen/dp_49"
                app:verify_inputType="text"
                app:verify_margin="@dimen/dp_8"
                app:verify_textColor="@color/data_black_color"
                app:verify_textSize="@dimen/textSize28"
                app:verify_typeface="@string/roboto_bold_font"
                app:verify_width="@dimen/dp_49" />

            <com.abbidot.tracker.widget.TypefaceTextView
                android:id="@+id/tv_add_new_tracker4_error"
                style="@style/my_TextView_style_v2"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="@dimen/dp_16"
                android:background="@drawable/shape9_red_border_reddish_bg"
                android:paddingHorizontal="@dimen/dp_44"
                android:paddingVertical="@dimen/dp_10"
                android:text="@string/txt_add_tracker_tip"
                android:textColor="@color/red_color2"
                android:textSize="@dimen/textSize14"
                android:visibility="gone"
                app:lineHeight="@dimen/textSize20"
                app:typeface="@string/roboto_regular_font" />

            <com.abbidot.tracker.widget.TypefaceButton
                android:id="@+id/btn_add_new_tracker_add"
                style="@style/my_match_RoundRect_Button_style"
                android:layout_marginHorizontal="@dimen/dp_16"
                android:layout_marginTop="@dimen/dp_40"
                android:text="@string/txt_add_tracker"
                app:qmui_radius="@dimen/dp_56"
                android:textStyle="bold" />

        </androidx.appcompat.widget.LinearLayoutCompat>
    </androidx.core.widget.NestedScrollView>
</androidx.appcompat.widget.LinearLayoutCompat>